Bug 1431835 - packaging issues
Summary: packaging issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pylint
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 20:24 UTC by Orion Poplawski
Modified: 2017-04-07 21:26 UTC (History)
3 users (show)

Fixed In Version: pylint-1.6.5-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 21:26:08 UTC


Attachments (Terms of Use)
pylint.spec (14.59 KB, text/x-matlab)
2017-03-13 20:24 UTC, Orion Poplawski
no flags Details
pylint.spec (16.98 KB, text/plain)
2017-03-14 03:30 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2017-03-13 20:24:25 UTC
Created attachment 1262581 [details]
pylint.spec

Description of problem:

I'm attaching an updated spec that does a couple things:

* Mon Mar 13 2017 Orion Poplawski <orion@cora.nwra.com> - 1.6.5-2
- Enable python3 build for EPEL
- Include python3-pylint-gui __pycache__ files in gui package (bug #1422609)
- Cleanup spec
- Run tests, but they currently fail

however, there are also a couple other changes that I think should be made:

The pylint package should just contain /usr/bin/pylint
Add pylint-gui that has /usr/bin/pylint-gui
Add python2-pylint for the python2 module
On Fedora, pylint/pylint-gui should be the python3 versions
On EPEL, they should be the python2 versions

Current standard for python versioned binaries is to use name-%{python2/3_version}

I can work on this if this seem reasonable.

Version-Release number of selected component (if applicable):
1.6.5-1

Comment 1 Christian Dersch 2017-03-13 21:45:12 UTC
Nice, I had that on my todo list but did not find the time yet (I just took the package when it was to be orphaned weeks ago, to keep it alive). Feel free to apply your changes, looks good and reasonable. Thank you!

Comment 2 Orion Poplawski 2017-03-14 03:30:06 UTC
Created attachment 1262767 [details]
pylint.spec

Next iteration

* Mon Mar 13 2017 Orion Poplawski <orion@cora.nwra.com> - 1.6.5-3
- Split python2 modules into sub-packages
- Make python3 the default for scripts on Fedora 26+

https://koji.fedoraproject.org/koji/taskinfo?taskID=18368636

Comment 3 Fedora Update System 2017-03-29 03:09:30 UTC
pylint-1.6.5-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8d3792a3e

Comment 4 Fedora Update System 2017-03-29 03:09:47 UTC
pylint-1.6.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dfff212a81

Comment 5 Fedora Update System 2017-03-29 17:50:00 UTC
pylint-1.6.5-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8d3792a3e

Comment 6 Fedora Update System 2017-03-30 01:49:15 UTC
pylint-1.6.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dfff212a81

Comment 7 Fedora Update System 2017-04-03 02:58:32 UTC
pylint-1.6.5-3.el7 python-mccabe-0.6.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dfff212a81

Comment 8 Fedora Update System 2017-04-03 23:20:00 UTC
pylint-1.6.5-3.el7, python-mccabe-0.6.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dfff212a81

Comment 9 Fedora Update System 2017-04-06 04:18:56 UTC
pylint-1.6.5-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8c8f407428

Comment 10 Fedora Update System 2017-04-06 22:23:07 UTC
pylint-1.6.5-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8c8f407428

Comment 11 Fedora Update System 2017-04-07 21:26:08 UTC
pylint-1.6.5-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.